## 🎈简介

ImageStrike是一款使用PyQT5开发，用于CTF中图片隐写的综合利用工具

<img src="imgs/1.png" style="zoom:60%;" />

## 🎗️环境依赖

```
java
```
[Visual C++ Redistributable Packages for Visual Studio 2013](https://www.microsoft.com/zh-cn/download/confirmation.aspx?id=40784)

## 🔗参考

[https://github.com/chishaxie/blindwatermark](https://github.com/chishaxie/blindwatermark)

[https://github.com/dhsdshdhk/stegpy](https://github.com/dhsdshdhk/stegpy)

[https://sourceforge.net/projects/steghide/](https://sourceforge.net/projects/steghide/)

[https://github.com/Bronya-Rayi/auto-misc-pic](https://github.com/Bronya-Rayi/auto-misc-pic)

[https://github.com/RetrO-hash/CTFpics](https://github.com/RetrO-hash/CTFpics)

代码大多取自网络资料，在此表示感谢💕

## 🏷️其他

### 已经适配的隐写方法：
- [x] 盲水印
- [x] 二维码识别
- [x] 图片反相
- [x] RGB转图片
- [x] PNG改宽高
- [x] PNG图片检测IDAT
- [x] 图片元数据（EXIF、IPTC、XMP）
- [x] Gif帧分离
- [x] F5隐写
- [x] Strings可打印字符
- [x] JPG改宽高
- [x] 01二进制转黑白图片
- [x] Stegpy
- [x] Steghide
- [x] Foremost
### TODO
- [ ] LSB
- [ ] stegdetect
- [ ] stegbreak
- [ ] zsteg

一些使用其他语言写的隐写工具，python无法做到all in one，如果有师傅可以做到，请联系我加进去，未完待续.....

## ⚙️运行截图

#### 盲水印：

<img src="imgs/bwm.gif" style="zoom:60%;" />

#### Gif帧分离：

<img src="imgs/gif.gif" style="zoom:60%;" />

#### 图片反相：

<img src="imgs/inversion.gif" style="zoom:60%;" />

#### PNG自动改宽高：

<img src="imgs/png.gif" style="zoom:60%;" />

#### 二维码识别：

<img src="imgs/qrcode.gif" style="zoom:60%;" />

#### RGB转图片：

<img src="imgs/rgb2jpg.gif" style="zoom:60%;" />

#### Strings可打印字符：

<img src="imgs/strings.gif" style="zoom:60%;" />
